### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.publish

# Interface MailInterface

All Known Subinterfaces:
  `MailAlertTransportInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public interface MailInterface
Interface that defines common mail recipient information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttachment(InputStream inputStream, String contentId, String name, String contentType)`
  Add an attachment to include with mail notifications.
  `void`
  `addAttachment(String path, String contentId, String name, String contentType)`
  Add an attachment to include with mail notifications.
  `void`
  `addAttachment(String url, String user, String password, String contentId, String name, String contentType)`
  Add an attachment to include with mail notifications.
  `void`
  `addAttachment(URL url, String contentId, String name, String contentType)`
  Add an attachment to include with mail notifications.
  `String`
  `getBccAddress()`
  Return the blind carbon copy email recipient.
  `String`
  `getContentType()`
  Return the content-type (MIME type) of the message.
  `String`
  `getEmailAddress()`
  Return the email recipient.
  `String`
  `getFrom()`
  Return the From field.
  `String`
  `getFromName()`
  Return the personal name for the From field.
  `String`
  `getReplyTo()`
  Return the ReplyTo field.
  `String`
  `getReplyToName()`
  Return the personal name for the ReplyTo field.
  `String`
  `getSubject()`
  Return the Subject field.
  `void`
  `setBccAddress(String address)`
  Set the Bcc email address.
  `void`
  `setContentType(String contentType)`
  The content-type (MIME type) of the messsage.
  `void`
  `setEmailAddress(String address)`
  Set the email address.
  `void`
  `setFrom(String from)`
  Set the From field.
  `void`
  `setFromName(String personalName)`
  Set the personal name for the From field.
  `void`
  `setFromName(String personalName, String charset)`
  Set the personal name for the From field.
  `void`
  `setReplyTo(String replyTo)`
  Set the ReplyTo field.
  `void`
  `setReplyToName(String personalName)`
  Set the personal name for the ReplyTo field.
  `void`
  `setReplyToName(String personalName, String charset)`
  Set the personal name for the ReplyTo field.
  `void`
  `setSubject(String subject)`
  Set the Subject field.
  `void`
  `setSubject(String subject, String charset)`
  Set the Subject field.

- ## Method Details

  - ### setContentType

    void setContentType(String contentType)
    The content-type (MIME type) of the messsage.
    Parameters:
      `contentType` - The MIME type.

  - ### getContentType

    String getContentType()
    Return the content-type (MIME type) of the message.
    Returns:
      The MIME type.

  - ### getReplyTo

    String getReplyTo()
    Return the ReplyTo field.
    Returns:
      String The replyTo field.

  - ### setReplyTo

    void setReplyTo(String replyTo)
    Set the ReplyTo field.
    Parameters:
      `replyTo` - The ReplyTo field.

  - ### getReplyToName

    String getReplyToName()
    Return the personal name for the ReplyTo field.
    Returns:
      String The personal name for the replyTo field.

  - ### setReplyToName

    void setReplyToName(String personalName)
    Set the personal name for the ReplyTo field.
    Parameters:
      `personalName` - The personal name for the ReplyTo field.

  - ### setReplyToName

    void setReplyToName(String personalName, String charset)
    Set the personal name for the ReplyTo field.
    Parameters:
      `personalName` - The personal name for the ReplyTo field.
      `charset` - If the personal name contains non US-ASCII characters, then the name will be encoded using the specified charset. If the name contains only US-ASCII characters, no encoding is done and the name is used as is.

  - ### getEmailAddress

    String getEmailAddress()
    Return the email recipient.
    Returns:
      String The email address..

  - ### setEmailAddress

    void setEmailAddress(String address)
    Set the email address. This identifies the recipient of the email notification.
    Parameters:
      `address` - The email address.

  - ### getSubject

    String getSubject()
    Return the Subject field.
    Returns:
      String The Subject field.

  - ### setSubject

    void setSubject(String subject)
    Set the Subject field.
    Parameters:
      `subject` - The Subject field.

  - ### setSubject

    void setSubject(String subject, String charset)
    Set the Subject field.
    Parameters:
      `subject` - The Subject field.
      `charset` - If the subject contains non US-ASCII characters, it will be encoded using the specified charset. If the subject contains only US-ASCII characters, no encoding is done and it is used as is.

  - ### getFrom

    String getFrom()
    Return the From field.
    Returns:
      String The From field.

  - ### setFrom

    void setFrom(String from)
    Set the From field.
    Parameters:
      `from` - The From field.

  - ### getFromName

    String getFromName()
    Return the personal name for the From field.
    Returns:
      String The personal name for the From field.

  - ### setFromName

    void setFromName(String personalName)
    Set the personal name for the From field.
    Parameters:
      `personalName` - The personal name for the From field.

  - ### setFromName

    void setFromName(String personalName, String charset)
    Set the personal name for the From field.
    Parameters:
      `personalName` - The personal name for the From field.
      `charset` - If the personal name contains non US-ASCII characters, then the name will be encoded using the specified charset. If the name contains only US-ASCII characters, no encoding is done and the name is used as is.

  - ### getBccAddress

    String getBccAddress()
    Return the blind carbon copy email recipient.
    Returns:
      String The email address that identifies the blind carbon copy recipient.

  - ### setBccAddress

    void setBccAddress(String address)
    Set the Bcc email address. This identifies the blind carbon copy recipient of the email notification.
    Parameters:
      `address` - The blind carbon copy email address.

  - ### addAttachment

    void addAttachment(String path, String contentId, String name, String contentType)
    Add an attachment to include with mail notifications. This should be used to add attachments that exist on the local file system.
    Parameters:
      `path` - The name of the attachment file. This is a complete file-system path.
      `contentId` - The Content-ID header field.This should be specified if the attachment is to be embedded within the mail message. The caller is responsible for making sure the text of the mail message contains the corresponding cid URL to reference this cid value. If `null` is specified, the file will be included as an attachment but will not be embedded.
      `name` - The name to use for this attachment when it is inserted into the mail message. If `null` is specified, the name of the file will be used as the attachment name.
      `contentType` - The MIME type to set for this attachment. If `null` is specified, the MIME type will be determined based on the file extension or content. Otherwise, a MIME type can explicitly be provided on this method.

  - ### addAttachment

    void addAttachment(String url, String user, String password, String contentId, String name, String contentType)
    Add an attachment to include with mail notifications. This should be used to add attachments that exist on a WebDAV server.
    Parameters:
      `url` - The String URL identifying the WebDAV resource
      `user` - the WebDAV authentication user name
      `password` - the WebDAV password for authentication
      `contentId` - The Content-ID header field.This should be specified if the attachment is to be embedded within the mail message. The caller is responsible for making sure the text of the mail message contains the corresponding cid URL to reference this cid value. If `null` is specified, the file will be included as an attachment but will not be embedded.
      `name` - The name to use for this attachment when it is inserted into the mail message. If `null` is specified, the name of the file will be used as the attachment name.
      `contentType` - The MIME type to set for this attachment. If `null` is specified, the MIME type will be determined based on the file extension or content. Otherwise, a MIME type can explicitly be provided on this method.

  - ### addAttachment

    void addAttachment(URL url, String contentId, String name, String contentType)
    Add an attachment to include with mail notifications. This should be used to add attachments identified by a URL.
    Parameters:
      `url` - The URL that identifies the file to be included as an attachment.
      `contentId` - The Content-ID header field.This should be specified if the attachment is to be embedded within the mail message. The caller is responsible for making sure the text of the mail message contains the corresponding cid URL to reference this cid value. If `null` is specified, the file will be included as an attachment but will not be embedded.
      `name` - The name to use for this attachment when it is inserted into the mail message. If `null` is specified, the name of the file will be used as the attachment name.
      `contentType` - The MIME type to set for this attachment. If `null` is specified, the MIME type will be determined based on the file extension or content. Otherwise, a MIME type can explicitly be provided on this method.

  - ### addAttachment

    void addAttachment(InputStream inputStream, String contentId, String name, String contentType)
    Add an attachment to include with mail notifications. This should be used to add attachments identified by an input stream.
    Parameters:
      `inputStream` - Input stream that identifies the attachment data.
      `contentId` - The Content-ID header field.This should be specified if the attachment is to be embedded within the mail message. The caller is responsible for making sure the text of the mail message contains the corresponding cid URL to reference this cid value. If `null` is specified, the file will be included as an attachment but will not be embedded.
      `name` - The name to use for this attachment when it is inserted into the mail message. If `null` is specified, the name of the file will be used as the attachment name.
      `contentType` - The MIME type to set for this attachment. If `null` is specified, the MIME type will be determined based on the file extension or content. Otherwise, a MIME type can explicitly be provided on this method.